new;
library mvt;

mvtset;

cls;

output file = mvt2.out reset;

/*
** The case N = 2
**
*/


x = rndn(10,2);
let rho[2,2] = 1 0.25 0.25 1;
nu = 2;

_mvt_algr = 1;
{cdf1,err,retcode} = cdfmvt(x,rho,nu);
cdf2 = cdfbvt(x[.,1],x[.,2],rho[1,2],nu);

print "    var. 1    var. 2    cdfmvt    cdfbvt     diff.";
print "==================================================="; 
call printfm(x~cdf1~cdf2~(cdf1-cdf2),1,"%lf"~10~3);
print;
print;


nu = 100000; /* Asymtotic case --> BVN */

cdf1 = cdfbvt(x[.,1],x[.,2],rho[1,2],nu);
cdf2 = cdfbvn(x[.,1],x[.,2],rho[1,2]);

print "    var. 1    var. 2    cdfbvt    cdfbvn     diff.";
print "==================================================="; 
call printfm(x~cdf1~cdf2~(cdf1-cdf2),1,"%lf"~10~3);

output off;