new;
library mvt;

mvtset;

cls;

output file = mvt3.out reset;

/*
** The case N > 2
**
*/

N = 5;

x = rndn(10,5);

print "x = ";
call printfm(x,1,"%lf"~10~3);
print;

rho = diagrv(0.75*ones(N,N),1);
nu = 3;

_mvt_algr = 1;
{cdf1,err,retcode} = cdfmvt(x,rho,nu);
_mvt_algr = 2;
{cdf2,err,retcode} = cdfmvt(x,rho,nu);
_mvt_algr = 3;
{cdf3,err,retcode} = cdfmvt(x,rho,nu);
_mvt_algr = 4;
{cdf4,err,retcode} = cdfmvt(x,rho,nu);
_mvt_algr = 5;
{cdf5,err,retcode} = cdfmvt(x,rho,nu);

print;
print "     QRSVN       RAN       KRO       SAD       SPH";
print "===================================================";
call printfm(cdf1~cdf2~cdf3~cdf4~cdf5,1,"%lf"~10~4);
print;
print /flush "";

nu = 1000;    /* Asymtotic case --> MVN */

_mvt_algr = 1;
{cdf1,err,retcode} = cdfmvt(x,rho,nu);
_mvt_algr = 5;
{cdf2,err,retcode} = cdfmvt(x,rho,nu);
cdf3 = cdfmvn(x',rho)';

print;
print "     QRSVN       SPH    CDFMVN";
print "===============================";
call printfm(cdf1~cdf2~cdf3,1,"%lf"~10~4);
print;
print;

output off;