new;
library mvt;

mvtset;

cls;

output file = mvt4.out reset;

x = 2;
delta = 0;
rho = diagrv(0.75*ones(5,5),1);

_mvt_max_pts = 50000;
_mvt_rel_eps = 0.0005;

Nu = 0;
do until Nu > 10;
  _mvt_algr = 1;
  {cdf,err,retcode} = cdfmvt(x,rho,nu);

  omat = Nu~cdf~err~retcode;
  call printfmt(omat,1); 

  if Nu == 0;
    cdf = cdfmvn(x*ones(5,1),rho);
    print ftos(cdf," (%lf)",10,5);;
  endif;

  print /flush "";

  Nu = Nu + 1;
endo;

print; print;

delta = 1;

Nu = 0;
do until Nu > 10;
  {cdf,err,retcode} = cdfmvtnc(x,rho,nu,delta);

  omat = Nu~cdf~err~retcode;
  call printfmt(omat,1); 
  print /flush "";


  Nu = Nu + 1;
endo;

output off;